Skip to main content
PATCH
/
api
/
v1
/
forms
/
{form_token}
/
integrations
/
webhooks
/
{id}
Update a webhook integration
curl --request PATCH \
  --url https://formhug.ai/api/v1/forms/{form_token}/integrations/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "trigger_events": [],
  "enabled": true
}
'
import requests

url = "https://formhug.ai/api/v1/forms/{form_token}/integrations/webhooks/{id}"

payload = {
    "url": "<string>",
    "trigger_events": [],
    "enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({url: '<string>', trigger_events: [], enabled: true})
};

fetch('https://formhug.ai/api/v1/forms/{form_token}/integrations/webhooks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "65a1f0c5d8e9b2a3f4c5d6e7",
    "url": "https://hooks.example.com/incoming",
    "trigger_events": [
      "entry_created"
    ],
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
  "error": "Webhook not found"
}
{
  "error": "Url is invalid",
  "error_details": [
    {
      "attribute": "url",
      "message": "is invalid"
    }
  ]
}

Authorizations

Authorization
string
header
required

Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx. The scope required by each endpoint is listed in that endpoint's description.

Path Parameters

form_token
string
required
id
string
required

Webhook ID

Body

application/json
url
string<uri>
trigger_events
enum<string>[]
Available options:
entry_created,
entry_updated,
entry_paid
enabled
boolean

Response

Updated

data
object
required
Last modified on July 9, 2026